Subject: Re: cygwin 1.3.10 + win2k + fat32 + chmod prob
From: Tim Gunter <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 13 May 2002 11:07:38 -0700

On Mon, May 13, 2002 at 01:35:26PM -0400, Larry Hall (RFK Partners, Inc) wrote:
> At 01:04 PM 5/13/2002, Tim Gunter wrote:
> >On Mon, May 13, 2002 at 09:48:22AM -0700, Randall R Schulz wrote:
> > > Tim,
> > > 
> > > For FAT volumes, you need "ntea" (NT Extended Attributes) in your CYGWIN 
> > > environment variable and you must be prepared for the creation of a large 
> > > auxiliary data file that holds the attribute information that the file 
> > > system itself does not.
> > > 
> > > As with "ntsec," "ntea" must be present in the CYGWIN environment variable 
> > > _before_ the Cygwin DLL loads, so the Environment control panel is the 
> > > place to set it. Thus it will _never work_ to set "ntea" from within a 
> > > Cygwin application. If you have Cygwin processes running as services, then 
> > > put the CYGWIN setting in the System environment, not just a per-user 
> > > environment.
> >yup, ive tried "ntea". i set it in the windows system control panel as
> >a system variable, rebooted, and chmod still fails.
> 
> 
> OK, I guess you'll need to try debugging it with strace and/or gdb.
> 
> 
> >im a little mystified as to why it used to work in the first place(with ntsec
> >on a fat partition).
> 
> 
> I share your mystification.  As near as I can tell, you must be mis-
> remembering.  The "ntsec" setting has never affected FAT partitions.
im pretty certain i had ntsec set, as ssh was not complaining about the permissions
on my private key files, which it always does with ntea. i had set ntsec a long
time ago to make ssh work, and had never even tried ntea until this problem arose.
when i run with ntsec, ssh doesnt complain about the permissions on my keys, and
i can connect to and from my machine with public key encryption. i use chmod 
fairly often on bash scripts, perl scripts, etc...

here is what happens with ntea set:

"/home/tgun/tmp $ ls -lt test.c
-rw-r--r--    1 tgun     domain u      416 May 10 15:45 test.c
/home/tgun/tmp $ strace chmod a+w -v test.c >& chmod.strace
/home/tgun/tmp $ ls -lt test.c
-rw-r--r--    1 tgun     domain u      416 May 10 15:45 test.c"

attached is chmod.strace

ive noticed that strace returns several "unknown disk file" errors,
but chmod still prints out "mode of `test.c' changed to 0666 (rw-rw-rw-)"

"geterrno_from_win_error: windows error 2 == errno 2
geterrno_from_win_error: windows error 6 == errno 9"

thanks for the help
--tim
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/